Main Page Alphabetical List Compound List File List Compound Members Related Pages

# TLine Class Reference

Represents one line of the transfer function. More...

`#include <transfer.h>`

List of all members.

## Public Methods
| TLine (TLinePoint s, TLinePoint e, THistogram *h, int pd, int name)
| Constructor.
| TLine (TLine &l)
| Constructor.
| TLine (const TLine &l)
| Constructor.
const TLine & | operator= (const TLine &l)
| Asignment Operator.
int __fastcall | getStartX (TPaintBox *pb)
| Returns the start points X in TPaintBox coordinates.
int __fastcall | getStartY (TPaintBox *pb)
| Returns the start points Y in TPaintBox coordinates.
int __fastcall | getEndX (TPaintBox *pb)
| Returns the end points X in TPaintBox coordinates.
int __fastcall | getEndY (TPaintBox *pb)
| Returns the end points Y in TPaintBox coordinates.
float __fastcall | getSlope (TPaintBox *pb)
| Get the line slope in TPaintBox coordinates.
bool __fastcall | highSlope (TPaintBox *pb)
| Is slope in TPaintBox coordinates greater than 1.0 .
bool __fastcall | isNear (TPaintBox *pb, int x, int y)
| Returns true if the distance to the point (x,y) is smaler than DEF_DIST.
void __fastcall | drawTo (TPaintBox *pb)
| Draw the line to the TPaintBox pb.
## Public Attributes
__property TLinePoint | Start = { read=_start, write=_start }
| The start point.
__property TLinePoint | End = { read=_end, write=_end }
| The end point.
__property bool | Selected = { read=_selected, write=_selected }
| Is the line selected.
__property int | Name = { read=_name, write=_name }
| The index in the Name list.
## Private Methods
void __fastcall | _drawMarker (TCanvas *c, TColor col, int x, int y, int width)
| Draws a marker, which should show that the line (or point) is selected.
void __fastcall | _drawCross (TCanvas *c, TColor col, int x, int y)
| Draws a endpoint of an unselected line.
## Private Attributes
TLinePoint | _start
| The start point.
TLinePoint | _end
| The end point.
bool | _selected
| Is the line selected.
int | _name
| Index in the name list.

## Detailed Description

Represents one line of the transfer function.

The class has to a start- and an endpoint.

Todo:
  Add a rendering class for the Two Level Ray Caster.

Definition at line 163 of file transfer.h.

## Member Data Documentation

int TLine::_name`[private]`

| Index in the name list. The name list begins with 0! Definition at line 183 of file transfer.h. Referenced by operator=(), and TLine().

The documentation for this class was generated from the following files:

- transfer.h
- transfer.cpp